Subject: bug#20821: 24.5; ido-mode autocompletion failure aborts find-file when attempting to use tramp

From: Michael Albinus <[email-masked]>
Date: Sat, 12 Dec 2015 12:59:37 +0100

[email-masked] writes:

Hi,

[Sorry for jumping in such late; I didn't realize earlier that's about Tramp]

> I've got ido-mode enabled, and I'm trying to open a file on another
> machine with TRAMP. This machine is running windows, so I'm using
> plinkx. As soon as I type the @ in the filename (I'm trying to open
> /plinkx:db48x@anglachel:projects/emularity/loader.js, in this case) I
> get this error in the *Messages* buffer:

I do not run MS Windows, so I've tried with Ubuntu 15.10 and Emacs
24.5. My scenario:

emacs24 -Q
M-x ido-mode
C-x C-f /scp:albinus@

At this point, possible host names for completion are shown, as expected.

Could you try this scenario (using emacs -Q)?

> ido-file-name-all-completions-1: Opening directory: no such file or directory, c:/plinkx:db48x@
>
> And here's the stack trace:
>
> Debugger entered--Lisp error: (file-error "Opening directory" "no such file or directory" "c:/plinkx:db48x@")
>   file-name-all-completions("" "/plinkx:db48x@")
>   ido-file-name-all-completions-1("/plinkx:db48x@")
>
> I'm not sure if ido is supposed to ignore this error, or if it's calling
> the wrong function, or what.

Well, a file name "c:/plinkx:db48x@" looks strange. There shouldn't be
the leading drive letter. Hmm.

Best regards, Michael.